import { createHashHistory } from 'history'
import { envFlag } from './http'
const history = createHashHistory()
export default history

// 判断是手机端还是pc端
export const isMobileFu = () => {
  if (
    window.navigator.userAgent.match(
      /(phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|BlackBerry|IEMobile|MQQBrowser|JUC|Fennec|wOSBrowser|BrowserNG|WebOS|Symbian|Windows Phone)/i
    )
  ) {
    return true
  } else return false
}

export const myUrl = envFlag ? myUrlTemp1 : myUrlTemp2

export type HomeDataRow = {
  id: number
  videoUrl: string
  name: string
  cover: string
  modelUrl: string
  txt: string
  text: string
  age: string
  level: string
}

export const myData: {
  homeBg: string
  homeBgDark: string
  homeTitleImg: string
  nameImg: string
  infoImg: string
  homeData: HomeDataRow[]
} = myDataTemp
